GET /v1/public/workflows/{id}
Get a public workflow by visibility

Path Parameters

id string required path
Workflow ID

Responses

200 OK
application/json
code integer
data object
createdAt string
definition object
Definition is the full workflow graph to execute. Must contain a "root" node with type "manual". All action nodes referenced in children arrays must be present.
blockExpansions object
Set on run snapshots only (not workflow DB)
inputSchema object[]
Array of:
description string
key string
required boolean
type string
"string", "number", "boolean", "object", "array"
nodes object REQUIRED
description string
id string
name string
status string
type string
visibility string
Enum: private, org, public_view, public_execute
message string
requestId string
404 Not Found
curl -X GET 'https://api.example.com/v1/public/workflows/string' \  -H 'Authorization: Bearer YOUR_API_TOKEN'
const response = await fetch('https://api.example.com/v1/public/workflows/string', {  method: 'GET',  headers: {      "Authorization": "Bearer YOUR_API_TOKEN"  }});const data = await response.json();console.log(data);
import requestsheaders = {    'Authorization': 'Bearer YOUR_API_TOKEN'}response = requests.get('https://api.example.com/v1/public/workflows/string', headers=headers)print(response.json())
package mainimport (	"fmt"	"io"	"net/http")func main() {	req, _ := http.NewRequest("GET", "https://api.example.com/v1/public/workflows/string", nil)	req.Header.Set("Authorization", "Bearer YOUR_API_TOKEN")	resp, _ := http.DefaultClient.Do(req)	defer resp.Body.Close()	result, _ := io.ReadAll(resp.Body)	fmt.Println(string(result))}
200 Response
{  "code": 200,  "data": {    "createdAt": "<string>",    "definition": {      "blockExpansions": "<object>",      "inputSchema": [        {          "description": "<string>",          "key": "<string>",          "required": true,          "type": "<string>"        }      ],      "nodes": "<object>"    },    "description": "<string>",    "id": "<string>",    "name": "<string>",    "status": "<string>",    "type": "<string>",    "visibility": "private"  },  "message": "success",  "requestId": "abc-123"}
Ask a question... ⌘I